<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script type="text/javascript">
       
        function ejemplo8(vector,t,i,s){
            var temp=[];

            temp=vector.slice(i,s);

            for(var c=t;c<;c++);{
                vector[c]=aux[]
            }
        };
        

        var a= [1,2,3,4,5];        
        console.log(a);
        console.log(a.copyWithin(2,4,5));


        // function copiar (a1){//copia los dos primeros elementos del array y los copia al final
            
        //     var temporal=[];

        //     for(var c=0;c<a1.length;c++){
        //         if (c==0) {
        //             temporal.push(a1[c]);
        //             a1.pop();
        //         } else if(c==1) {
        //             temporal.push(a1[c]);
        //             a1.pop();
        //         }
        //     };
        //     a1.push(temporal[0]);
        //     a1.push(temporal[1]);

            



           
        // };
        // document.write(copiar(a));



    </script>
</head>

<body>
    <main>
        <header>
            <h1>Ejemplo 8</h1>
        </header>
        <section>
            <header>
                <h2>Enunciado</h2>
            </header>
            <article>
                Crear una funcion que te realice lo mismo que copyWithin de javascript.
            </article>
        </section>
    </main>
</body>
</html>